<?xml version="1.0"?>
<!--
    The contents of this file are subject to the Mozilla Public License Version 1.1
    (the "License"); you may not use this file except in compliance with the License.
    You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

    Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
    WARRANTY OF ANY KIND, either express or implied. See the License for the specific
    language governing rights and limitations under the License.

    The Original Code is the Venice Web Communities System.

    The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
    for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
    Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

    Contributor(s): 
-->
<configuration>

  <control>
    <background-threads normal="2" low="2"/>
    <resource-root>${code.path}</resource-root>
    <url-rewrite-rules>
      <rule type="ABSOLUTE" encode="false">${url}</rule>
      <rule type="SERVLET" encode="true">${context.path}/${url}</rule>
    </url-rewrite-rules>
  </control>

  <dbconnection name="data" classname="com.silverwrist.dynamo.db.DatabaseConnectionPool">
    <dbtype>mysql</dbtype>
    <!-- driver name is the new MySQL Connector for Java - replaces org.gjt.mm.mysql.Driver -->
    <driver>com.mysql.jdbc.Driver</driver>
    <uri>jdbc:mysql://localhost/dbname</uri>
    <username>testuser</username>
    <password>TestPassword</password>
    <connections initial="5" max="20" busywait="true"/>
  </dbconnection>

  <object name="module-manager" classname="com.silverwrist.dynamo.module.ModuleManager" priority="0">
    <module-directory>${code.path}/modules</module-directory>
  </object>

  <object name="velocity" classname="com.silverwrist.dynamo.velocity.VelocityRenderer" priority="0">
    <resource-prefix>/velocity</resource-prefix>
  </object>

  <object name="xmlrpc" classname="com.silverwrist.dynamo.xmlrpc.XmlRpcSubSystem"
          priority="-10" maxAge="3600">
    <dispatch method="validator1\.\w+" classname="com.silverwrist.dynamo.xmlrpc.Validator1Suite"/>
  </object>

  <object name="mail" classname="com.silverwrist.dynamo.mail.MailSubSystem" priority="-100">
    <smtp-host>janelane</smtp-host>
    <system-mail-name>Venice Mail System</system-mail-name>
    <system-mail-addr>nobody@delenn.silverwrist.internal</system-mail-addr>
    <mailer>Venice AutoMail System</mailer>
    <template-resource-prefix>/mailmessages</template-resource-prefix>
    <user-disclaimer><![CDATA[
Message sent via Venice Web Communities System - <http://venice.sourceforge.net>
The Venice Project is not responsible for the contents of this message
Report abuses to: <abuse@example.com>
    ]]></user-disclaimer>
    <user-info-header>X-Venice-User-Info</user-info-header>
  </object>

  <application name="test_app" classname="com.silverwrist.dynamo.test.TestApplication">
  </application>

</configuration>
